import { BaseFlowStepEditor } from "./BaseFlowStepEditor";
import React from "react";
import { FlowStepData } from "@appglue/common/dist/Flow/Steps/FlowStepData";
export declare const ActionButton: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare abstract class FlowStepEditor<T extends FlowStepData> extends BaseFlowStepEditor {
    private _stepData?;
    get stepData(): T;
    set stepData(value: T);
    get isSelected(): boolean;
    getFlowStepData(): FlowStepData;
    onClick(event: React.MouseEvent<HTMLDivElement>): void;
    render(): JSX.Element;
    renderActionUI: () => JSX.Element;
    abstract renderEditUI(): JSX.Element | null;
    getStorageData(): object;
    setStorageData(data: object): void;
}
